Stay on 11 or upgrade?

Discussion in '3DS - Flashcards & Custom Firmwares' started by SyphenFreht, Oct 29, 2016.

  1. SyphenFreht
    OP

    SyphenFreht Member

    Newcomer
    20
    4
    Oct 19, 2016
    United States
    So I am having the hardest time trying to access the eshop on my 11.0.0-33U o3ds. I mainly just want to put Fieldrunners on it in anticipation of what y8 is working on. Since I think the exploit was said to be possible on firmwares 11.0-11.2, and system transferring is possible either way, should I upgrade to 11.2 or keep trying with 11.0?

    Thank you for any and all help and advice.
     
  2. THEELEMENTKH

    THEELEMENTKH uɐᖵ pǝɔuɐʌp∀ dɯǝʇ∀ꓭ⅁

    Member
    814
    476
    May 31, 2016
    Spain
    Hell
    I'm keeping my o3ds in 11.0 ofw just in case
     
  3. evandixon

    evandixon PMD Researcher

    Member
    1,652
    775
    May 29, 2009
    United States
    The new kernal exploit in the works (slowhax) is patched in 11.2.
     
    hobbledehoy899 likes this.
  4. ADS3500

    ADS3500 GBAtemp Fan

    Member
    329
    99
    Jul 27, 2016
    Canada
    Stay on 11.0. You can set up the homebrew launcher and use httpwn to get Fieldrunners if you want to, but there's also going to be a way to downgrade without Dsiware and it only works on 11.0 and 11.1.
     
  5. xtheman

    xtheman GBAtemp Guru

    Member
    5,843
    5,252
    Jan 28, 2016
    Stay for sure. A exploit for free downgrading was patched on 11.2 called slowhax. If you need to play online and use eshop use ctrhttpwn.
     
  6. Lilith Valentine

    Lilith Valentine GBATemp's Wolfdog™ I drool on my knife

    Member
    19,326
    19,613
    Sep 13, 2009
    Antarctica
    Between insane and insecure
    Considering the fact that the 3DS is slowly becoming EOL, Nintendo isn't going to be introducing any real major updates. Thus there's really no reason to update just yet.
     
  7. el_gonz87

    el_gonz87 GBAtemp Advanced Maniac

    Member
    1,559
    929
    Aug 24, 2016
    United States
    Slowhax is the ARM11 exploit, separately there is a bug that was discovered in process9 that will allow downgrading but no coding has been done and there for this exploit has been un-named.

    It's not going to be as quickly as people think since the bug needs to be programmed, tested for stability, then released. Independently the ARM11 exploit needs to be released.

    To my knowledge what was patched on 11.2 was the process9 bug so the ARM11 owner may hold off on releasing slowhax if it was not patched. Until the owner of that comes out and says he will release it then this is all just a myth.
     
  8. ADS3500

    ADS3500 GBAtemp Fan

    Member
    329
    99
    Jul 27, 2016
    Canada
    Slowhax was also patched in 11.2, so it could release earlier.
     
  9. Aurora Wright

    Aurora Wright GBAtemp Advanced Maniac

    Member
    1,542
    4,095
    Aug 13, 2006
    Italy
    Since there's a confirmed patched Kernel11 exploit, and on top of that they fixed a likely race condition in the downgrade checks (and possibly another Process9 flaw), I'd avoid upgrading myself...
     
    hobbledehoy899 likes this.
  10. SyphenFreht
    OP

    SyphenFreht Member

    Newcomer
    20
    4
    Oct 19, 2016
    United States
    Wow, so many speedy and helpful replies, lol. Thank you all. Seems like the general consensus is to stay on 11.0, so that's where I'll stay. I'll just keep trying to get into the eshop and hope for a pre- Christmas release. Thanks everyone!
     
    hobbledehoy899 likes this.
  11. el_gonz87

    el_gonz87 GBAtemp Advanced Maniac

    Member
    1,559
    929
    Aug 24, 2016
    United States
    You are correct, both are patched. It will still be a bit of time tho, I don't expect this to be done for at least another month.
     
  12. achuk

    achuk Member

    Newcomer
    32
    9
    Oct 3, 2016
    Use httpwn as someone mentioned and you should be able to access eShop fine dude
     
  13. SyphenFreht
    OP

    SyphenFreht Member

    Newcomer
    20
    4
    Oct 19, 2016
    United States
    I've been wrestling with it for days and I just can't seem to get it working. Idk if I'm using the wrong version of ctr, or maybe the wrong hbl, or if I'm just not understanding something. I know I'm missing something small, just can't figure out what.
     
  14. xtheman

    xtheman GBAtemp Guru

    Member
    5,843
    5,252
    Jan 28, 2016
    If using menuhax it won't work as it reboots your 3ds.
     
  15. SyphenFreht
    OP

    SyphenFreht Member

    Newcomer
    20
    4
    Oct 19, 2016
    United States
    Sonnuva*****. I bet you that's it. I'll try booting using Ninjhax when I get home. Thank you.
     
  16. achuk

    achuk Member

    Newcomer
    32
    9
    Oct 3, 2016
    And make sure when exiting HBL you choose the option to exit without rebooting after starting httpwn
     
  17. The Real Jdbye

    The Real Jdbye Always Remember 30/07/08

    Member
    GBAtemp Patron
    The Real Jdbye is a Patron of GBAtemp and is helping us stay independent!

    Our Patreon
    11,402
    4,730
    Mar 17, 2010
    Norway
    Alola
    For eShop access I think you should be running ctr-httpwn, then opening the eShop shortcut in HBL. That way it doesn't matter if you have menuhax installed.